# Черный список

**Интеграция с внешним сервисом проверки по чёрному списку**

PassOffice при создании или редактировании человека **обращается к указанному вами внешнему URL**, чтобы проверить его по вашему собственному чёрному списку.

**Что должен реализовать клиент**

Реализовать собственный HTTP-обработчик, который будет принимать запросы от PassOffice и возвращать результат проверки в строго заданном формате.

**1. Проверка по ФИО и документу**

**Метод:** POST

**URL:** \<URL\_из\_настроек\_интеграции>/check

**Тело запроса (JSON):**

```json
{
  "name": "Петр",
  "surname": "Петров",
  "middlename": "Петрович",
  "phone": "+79991231234",
  "birthday": "1985-06-15",
  "documentType": "PASSPORT_RF",     // или "OTHER"
  "documentSeries": "2415",
  "documentNumber": "123123"
}
```

**Ожидаемый ответ (JSON):**

```json
{
  "found": true,
  "comments": [
    "Статья УК РФ 123", 
    "Статья УК РФ 124"]
}
```

* `found: true` — человек найден в чёрном списке
* `comments` — список комментариев (причины блокировки), которые будут **отображаться в PassOffice** на форме человека.

**2. Проверка доступности сервиса (пинг)**

**Метод:** GET

**URL:** \<URL\_из\_настроек\_интеграции>/ping

**Ожидаемый ответ:** HTTP-статус **200 OK.**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aamsystems.ru/passoffice/passoffice-guide/admin-guide-doc/acs-configuration/chernyi-spisok.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
